#
# spec file for package radiusclient (Version 0.3.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           radiusclient
Version:        0.3.2
Release:        156.2
Autoreqprov:    on
Provides:       radiusc
Obsoletes:      radiusc
Group:          Productivity/Networking/Radius/Clients
License:        Artistic License
URL:            http://www.mcs-cityline.net/~lf/radius/
Summary:        Radius Client Software
Source0:        %{name}-%{version}.tar.bz2
Source1:        README.SuSE
Source2:        login.example
Patch0:         %{name}-%{version}.diff
Patch1:         %{name}-%{version}-fix.diff
Patch2:         %{name}-%{version}-ac.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Radius client provides some useful programs for doing authentication
and accounting via a (remote) radius server.



Authors:
--------
    Lars Fenneberg <lf@elemental.net>

%debug_package
%prep
%setup
cp %{S:1} .
cp %{S:2} login.radius
%patch0
%patch1
%patch2

%build
%define localstatedir /var/lib
rm missing
%{suse_update_config -f}
libtoolize --force
aclocal
automake -ac
autoconf
CFLAGS="$RPM_OPT_FLAGS -Wall" \
CXXFLAGS="$RPM_OPT_FLAGS -Wall -fmessage-length=0" \
	./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--sbindir=%{_sbindir} \
	--sysconfdir=%{_sysconfdir} \
	--includedir=%{_includedir} \
	--localstatedir=%{localstatedir} \
	--enable-shadow \
	--with-secure-path
make

%install
rm -rf $RPM_BUILD_ROOT
make "DESTDIR=$RPM_BUILD_ROOT" install
chmod 755 $RPM_BUILD_ROOT/%{_libdir}/libradiusclient.so.0*
rm -f $RPM_BUILD_ROOT/%{_sbindir}/login.radius
rm -f login.radius/Makefile*
rm -f login.radius/migs/Makefile*

%post
%{run_ldconfig}

%postun
%{run_ldconfig}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS CHANGES COPYRIGHT README README.radexample doc/instop.html
%doc login.radius README.SuSE
%dir %{_sysconfdir}/radiusclient
%config %{_sysconfdir}/radiusclient/radiusclient.conf
%config %{_sysconfdir}/radiusclient/dictionary
%config %{_sysconfdir}/radiusclient/dictionary.ascend
%config %{_sysconfdir}/radiusclient/dictionary.compat
%config %{_sysconfdir}/radiusclient/dictionary.merit
%config(noreplace) %{_sysconfdir}/radiusclient/issue
%config(noreplace) %{_sysconfdir}/radiusclient/port-id-map
%config(noreplace) %{_sysconfdir}/radiusclient/servers
%{_includedir}/*
%{_libdir}/lib*
%{_sbindir}/*

%changelog -n radiusclient
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Nov 18 2004 - ro@suse.de
- fixed file list
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Thu Jul 31 2003 - mjancar@suse.cz
- use %%run_ldconfig
* Thu May 29 2003 - mjancar@suse.cz
- remove Makefiles from documentation
* Wed May 28 2003 - mjancar@suse.cz
- update to 0.3.2
- move localstatedir to /var/lib
- remove unpackaged files from buildroot
* Wed Apr 02 2003 - ro@suse.de
- fixed patch radiusclient-0.3.1-fix.dif
* Tue Apr 02 2002 - postadal@suse.cz
- fixed to compile with autoconf-2.53
* Wed Mar 20 2002 - postadal@suse.cz
- secfix (VU#589523 -buffer overflow in the function that calculates message digests)
- fixed login.expamle, README.SuSE
* Thu Jan 10 2002 - cihlar@suse.cz
- use %%{_libdir}
* Tue Nov 06 2001 - cihlar@suse.cz
- fixed to compile with automake 1.5
* Wed Jun 06 2001 - cihlar@suse.cz
- fixed to compile with new libtool
* Mon Mar 26 2001 - cihlar@suse.cz
- moved whole files from dif
- fixed to compile
* Wed Nov 29 2000 - smid@suse.cz
- renamed: raduisc => radiusclient
* Wed May 24 2000 - cihlar@suse.cz
- fixed to compile
- added BuildRoot
* Sun Apr 09 2000 - bk@suse.de
- added suse update config macro
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jun 10 1999 - kukuk@suse.de
- Remove %%dir for doc tree
* Sun Mar 01 1998 - tmg@suse.de
- README.SuSE again
* Tue Feb 10 1998 - tmg@suse.de
- initial spec file
- fixed paths in radiusclient.conf
- login.example - simplistic example login.radius script
- README.SuSE
